Skip to content

Proxy

6 operations generated from the Engine OpenAPI schema. Request and response model names can be expanded in the interactive schema.

GET /api/v1/proxies

List all Proxies.

Authentication: Authorization header (ApiKeyAuth)

Responses

StatusDescriptionSchema
200OKroute.APIResponse

POST /api/v1/proxies

Create a Proxy.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
proxybodyapp.ProxyYesProxy to create

Responses

StatusDescriptionSchema
200OKroute.APIResponse

DELETE /api/v1/proxies/{id}

Delete a Proxy by ID or name.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesProxy ID or name

Responses

StatusDescriptionSchema
200OKroute.APIResponse

GET /api/v1/proxies/{id}

Get a Proxy by ID or name.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesProxy ID or name

Responses

StatusDescriptionSchema
200OKroute.APIResponse

PATCH /api/v1/proxies/{id}

Update a Proxy by ID or name.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesProxy ID or name
proxybodyapp.ProxyYesProxy settings

Responses

StatusDescriptionSchema
200OKroute.APIResponse

DELETE /api/v1/streams/{id}

Delete the stream by ID or Name.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesstream ID or Name

Responses

StatusDescriptionSchema
200OKroute.APIResponse